<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.17">
  <compounddef id="classomsb_1_1_mongo_db_handler" kind="class" language="C++" prot="public">
    <compoundname>omsb::MongoDbHandler</compoundname>
    <includes refid="mongodb__handler_8hpp" local="no">mongodb_handler.hpp</includes>
      <sectiondef kind="private-attrib">
      <memberdef kind="variable" id="classomsb_1_1_mongo_db_handler_1a14c68aa7f5bd88f7ab040d3874d46cce" prot="private" static="no" mutable="no">
        <type>mongocxx::uri</type>
        <definition>mongocxx::uri omsb::MongoDbHandler::uri</definition>
        <argsstring></argsstring>
        <name>uri</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="160" column="19" bodyfile="src/mongodbhandler/mongodb_handler.hpp" bodystart="160" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classomsb_1_1_mongo_db_handler_1aab94abe240c51ab5db8a0aab3c63d619" prot="private" static="no" mutable="no">
        <type>mongocxx::client</type>
        <definition>mongocxx::client omsb::MongoDbHandler::client</definition>
        <argsstring></argsstring>
        <name>client</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="161" column="22" bodyfile="src/mongodbhandler/mongodb_handler.hpp" bodystart="161" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classomsb_1_1_mongo_db_handler_1ae9fba79cc88c8904a735a84366fe27ff" prot="private" static="no" mutable="no">
        <type>mongocxx::database</type>
        <definition>mongocxx::database omsb::MongoDbHandler::db</definition>
        <argsstring></argsstring>
        <name>db</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="162" column="24" bodyfile="src/mongodbhandler/mongodb_handler.hpp" bodystart="162" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a668896d72174ab8937709240222cdd92" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>omsb::MongoDbHandler::MongoDbHandler</definition>
        <argsstring>()</argsstring>
        <name>MongoDbHandler</name>
        <briefdescription>
<para>Construct a new Mongo Db Handler object. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="70" column="5" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="10" bodyend="15"/>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a4bf4aeb89d91622ff52e343bec655d4e" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::AddTheaterToDb</definition>
        <argsstring>(const std::string &amp;theater_name)</argsstring>
        <name>AddTheaterToDb</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>theater_name</declname>
        </param>
        <briefdescription>
<para>creates a new theater in ombs database </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>theater_name</parametername>
</parameternamelist>
<parameterdescription>
<para>: the desired theater name for the new theater to create </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true : if the theater has been successfuly created </para>
</simplesect>
<simplesect kind="return"><para>false : if the theater creation is not possible </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="79" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="61" bodyend="90"/>
        <references refid="namespaceomsb_1ad228ec140c97bd390aa3254f377e4b54" compoundref="mongodb__handler_8hpp" startline="36">omsb::ombsTheatersCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1ae76b951defd231273ee70264e82ca6d0" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::AddMovieToDb</definition>
        <argsstring>(const std::string &amp;movie_title)</argsstring>
        <name>AddMovieToDb</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>movie_title</declname>
        </param>
        <briefdescription>
<para>creates a new movie in ombs database. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>movie_title</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true : if the movie has been successfuly created. </para>
</simplesect>
<simplesect kind="return"><para>false : if the movie creation is not possible. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="88" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="18" bodyend="43"/>
        <references refid="namespaceomsb_1a6e782e5b847709cd85efc1dadb6526bf" compoundref="mongodb__handler_8hpp" startline="37">omsb::ombsMoviesCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a52f86fab00ed69982149f8799215cab7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>json::JSON</type>
        <definition>json::JSON omsb::MongoDbHandler::GetAllTheaters</definition>
        <argsstring>()</argsstring>
        <name>GetAllTheaters</name>
        <briefdescription>
<para>Get all present theaters in the database. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>json::JSON : json file representing a list of all theaters in the database. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="95" column="16" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="92" bodyend="107"/>
        <references refid="namespaceomsb_1ad228ec140c97bd390aa3254f377e4b54" compoundref="mongodb__handler_8hpp" startline="36">omsb::ombsTheatersCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1af8488e63e677c8e294340086f81d0c02" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>json::JSON</type>
        <definition>json::JSON omsb::MongoDbHandler::GetAllMovies</definition>
        <argsstring>()</argsstring>
        <name>GetAllMovies</name>
        <briefdescription>
<para>Get all present movies in the database. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>json::JSON : json file representing a list of all movies in the database. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="102" column="16" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="45" bodyend="59"/>
        <references refid="namespaceomsb_1a6e782e5b847709cd85efc1dadb6526bf" compoundref="mongodb__handler_8hpp" startline="37">omsb::ombsMoviesCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a7866c1d3c4d63794358836dd7f9b328e" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::AddMovieShowToDb</definition>
        <argsstring>(const std::string &amp;theater_id, const std::string &amp;movie_id)</argsstring>
        <name>AddMovieShowToDb</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>theater_id</declname>
        </param>
        <param>
          <type>const std::string &amp;</type>
          <declname>movie_id</declname>
        </param>
        <briefdescription>
<para>creates a new movie show in ombs database. By default, 20 avaialble seats are created for a given couple of movie and theater. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>theater_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: theater id where the movie show will occure. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>movie_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: movie id that will be shown. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true : if the show has been successfuly created. </para>
</simplesect>
<simplesect kind="return"><para>false : if the show has not been created. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="113" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="109" bodyend="202"/>
        <references refid="namespaceomsb_1a5ecca3d4606ecd606a2d64c9a6628387" compoundref="mongodb__handler_8hpp" startline="45">omsb::NUMBER_OF_SEATS_FOR_A_MOVIE_IN_THEATER</references>
        <references refid="namespaceomsb_1a6db4d98839f154bd725bbab9217f7169" compoundref="mongodb__handler_8hpp" startline="35">omsb::ombsMovieShowsCollectionName</references>
        <references refid="namespaceomsb_1a8978065622ebccb03944482bae950286" compoundref="mongodb__handler_8hpp" startline="38">omsb::ombsSeatsCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a31c4ea013fc2b2d63be2af01d52b00f7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>json::JSON</type>
        <definition>json::JSON omsb::MongoDbHandler::GetAllMovieShows</definition>
        <argsstring>()</argsstring>
        <name>GetAllMovieShows</name>
        <briefdescription>
<para>Get the All Movie Shows that has at least one avaialbale seat for booking. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>json::JSON : json file representing a list of all available movie shows that have at elast one availabe seat to book in the database. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="121" column="16" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="204" bodyend="252"/>
        <references refid="namespaceomsb_1a6e782e5b847709cd85efc1dadb6526bf" compoundref="mongodb__handler_8hpp" startline="37">omsb::ombsMoviesCollectionName</references>
        <references refid="namespaceomsb_1a6db4d98839f154bd725bbab9217f7169" compoundref="mongodb__handler_8hpp" startline="35">omsb::ombsMovieShowsCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a921491af6cf6a169c5945bc69e9808b9" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>json::JSON</type>
        <definition>json::JSON omsb::MongoDbHandler::GetTheatersByMovie</definition>
        <argsstring>(const std::string &amp;movie_id)</argsstring>
        <name>GetTheatersByMovie</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>movie_id</declname>
        </param>
        <briefdescription>
<para>Get all Theaters that are showing a particular movie. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>movie_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: movie id wanted by user. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>json::JSON : json file representing a list of all theaters showing a particular movie. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="129" column="16" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="254" bodyend="301"/>
        <references refid="namespaceomsb_1a6db4d98839f154bd725bbab9217f7169" compoundref="mongodb__handler_8hpp" startline="35">omsb::ombsMovieShowsCollectionName</references>
        <references refid="namespaceomsb_1ad228ec140c97bd390aa3254f377e4b54" compoundref="mongodb__handler_8hpp" startline="36">omsb::ombsTheatersCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1add87e37b40c98f6bfe2ac280d4111057" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>json::JSON</type>
        <definition>json::JSON omsb::MongoDbHandler::GetSeatsByMovieAndByTheater</definition>
        <argsstring>(const std::string &amp;movie_id, const std::string &amp;theater_id)</argsstring>
        <name>GetSeatsByMovieAndByTheater</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>movie_id</declname>
        </param>
        <param>
          <type>const std::string &amp;</type>
          <declname>theater_id</declname>
        </param>
        <briefdescription>
<para>Get all availabe seats fior a given movie in given theater. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>movie_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: movie id wanted by user. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>theater_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: theater id wanted by user. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>json::JSON </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="138" column="16" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="303" bodyend="341"/>
        <references refid="namespaceomsb_1a6db4d98839f154bd725bbab9217f7169" compoundref="mongodb__handler_8hpp" startline="35">omsb::ombsMovieShowsCollectionName</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a667615c575c910d11120bb24ac5c37d7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::BookSeats</definition>
        <argsstring>(const std::vector&lt; std::string &gt; &amp;seatsIdsList)</argsstring>
        <name>BookSeats</name>
        <param>
          <type>const std::vector&lt; std::string &gt; &amp;</type>
          <declname>seatsIdsList</declname>
        </param>
        <briefdescription>
<para>allow the user to book a list of available seats. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>seatsIdsList</parametername>
</parameternamelist>
<parameterdescription>
<para>: list of desired seats id. </para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true : if all desired seats have been successfuly booked. </para>
</simplesect>
<simplesect kind="return"><para>false : if at least one desired seats is not more available or does not exists, or all seats does not belong to same movie show. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="149" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="343" bodyend="407"/>
        <references refid="namespaceomsb_1aa4e72116c77b65c50a00b136491fafec" compoundref="mongodb__handler_8hpp" startline="57">omsb::seats_booking_mutex_lock</references>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a3e1ce7d6750122392fcde924d710cee5" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::DropDatabase</definition>
        <argsstring>()</argsstring>
        <name>DropDatabase</name>
        <briefdescription>
<para>used by admin user to reset datbase. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>true : if the database has been successfuly reseted. </para>
</simplesect>
<simplesect kind="return"><para>false : if teh database can not be reseted. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="157" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="409" bodyend="413"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-func">
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a31ad85eeee6671cf7e75a8a0bc4c4c2e" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::BookSingleSeat</definition>
        <argsstring>(const std::string &amp;seat_id, std::string &amp;show_id, const std::string &amp;booking_id)</argsstring>
        <name>BookSingleSeat</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>seat_id</declname>
        </param>
        <param>
          <type>std::string &amp;</type>
          <declname>show_id</declname>
        </param>
        <param>
          <type>const std::string &amp;</type>
          <declname>booking_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>seat_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>show_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>booking_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true </para>
</simplesect>
<simplesect kind="return"><para>false </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="173" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="416" bodyend="445"/>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1ac6ba0f60d0ba5b7d25181ac801a451a3" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>std::string</type>
        <definition>std::string omsb::MongoDbHandler::FindShowIdBySeat</definition>
        <argsstring>(const std::string &amp;seat_id)</argsstring>
        <name>FindShowIdBySeat</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>seat_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>seat_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>std::string </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="181" column="17" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="447" bodyend="480"/>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1a513b06090e2c8214100a48449328e8bc" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool omsb::MongoDbHandler::InsertSeatToBooking</definition>
        <argsstring>(const std::string &amp;seat_id, const std::string &amp;book_id)</argsstring>
        <name>InsertSeatToBooking</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>seat_id</declname>
        </param>
        <param>
          <type>const std::string &amp;</type>
          <declname>book_id</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>seat_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>book_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true </para>
</simplesect>
<simplesect kind="return"><para>false </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="191" column="10" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="482" bodyend="504"/>
      </memberdef>
      <memberdef kind="function" id="classomsb_1_1_mongo_db_handler_1af7729ff83cb24ee60d6456c4a0fd6875" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>std::string</type>
        <definition>std::string omsb::MongoDbHandler::CreateBooking</definition>
        <argsstring>(const std::string &amp;show_id, const std::string &amp;user_email=&quot;nicolas.haddad80@gmail.com&quot;)</argsstring>
        <name>CreateBooking</name>
        <param>
          <type>const std::string &amp;</type>
          <declname>show_id</declname>
        </param>
        <param>
          <type>const std::string &amp;</type>
          <declname>user_email</declname>
          <defval>&quot;nicolas.haddad80@gmail.com&quot;</defval>
        </param>
        <briefdescription>
<para>Create a Booking object. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>show_id</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>user_email</parametername>
</parameternamelist>
<parameterdescription>
<para></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>std::string </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="src/mongodbhandler/mongodb_handler.hpp" line="200" column="17" bodyfile="src/mongodbhandler/mongodb_handler.cpp" bodystart="506" bodyend="542"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>this is the class to allow creation of controller objects as needed for ombs mongodb database </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location file="src/mongodbhandler/mongodb_handler.hpp" line="64" column="1" bodyfile="src/mongodbhandler/mongodb_handler.hpp" bodystart="63" bodyend="202"/>
    <listofallmembers>
      <member refid="classomsb_1_1_mongo_db_handler_1a7866c1d3c4d63794358836dd7f9b328e" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>AddMovieShowToDb</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1ae76b951defd231273ee70264e82ca6d0" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>AddMovieToDb</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a4bf4aeb89d91622ff52e343bec655d4e" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>AddTheaterToDb</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a667615c575c910d11120bb24ac5c37d7" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>BookSeats</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a31ad85eeee6671cf7e75a8a0bc4c4c2e" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>BookSingleSeat</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1aab94abe240c51ab5db8a0aab3c63d619" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>client</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1af7729ff83cb24ee60d6456c4a0fd6875" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>CreateBooking</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1ae9fba79cc88c8904a735a84366fe27ff" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>db</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a3e1ce7d6750122392fcde924d710cee5" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>DropDatabase</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1ac6ba0f60d0ba5b7d25181ac801a451a3" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>FindShowIdBySeat</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1af8488e63e677c8e294340086f81d0c02" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>GetAllMovies</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a31c4ea013fc2b2d63be2af01d52b00f7" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>GetAllMovieShows</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a52f86fab00ed69982149f8799215cab7" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>GetAllTheaters</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1add87e37b40c98f6bfe2ac280d4111057" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>GetSeatsByMovieAndByTheater</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a921491af6cf6a169c5945bc69e9808b9" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>GetTheatersByMovie</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a513b06090e2c8214100a48449328e8bc" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>InsertSeatToBooking</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a668896d72174ab8937709240222cdd92" prot="public" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>MongoDbHandler</name></member>
      <member refid="classomsb_1_1_mongo_db_handler_1a14c68aa7f5bd88f7ab040d3874d46cce" prot="private" virt="non-virtual"><scope>omsb::MongoDbHandler</scope><name>uri</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
